GWT 2.7.0

## com.google.web.bindery.requestfactory.server
Interface ExceptionHandler

All Known Implementing Classes:
  DefaultExceptionHandler

    public interface ExceptionHandler

Handles an exception produced while processing a request.

See Also:
  `DefaultExceptionHandler`

Method Summary
`ServerFailure` | `createServerFailure(java.lang.Throwable throwable)` Generates a `ServerFailure` based on the information contained in the received `exception`.

Method Detail

### createServerFailure

    ServerFailure createServerFailure(java.lang.Throwable throwable)

  Generates a `ServerFailure` based on the information contained in the received `exception`.

  Parameters:
    `throwable` - a Throwable instance
  Returns:
    a `ServerFailure` instance
  See Also:
    `DefaultExceptionHandler`

GWT 2.7.0